import { defineStore } from 'pinia'
import {getAllProject, queryProjectExpense} from "@/api/project"
import { getAllUsers } from "@/api/user"
import { queryExpensesGenre } from "@/api/firmCost"
export const useFinanceStore = defineStore('finance',() => {
    const currentCode = ref('')
    const currentName = ref('')
    const allProject = reactive([])
    const allUser = reactive([])
    const costInfo = reactive({})
    const costTypeList = reactive([])
    const getAllInfo = () => {
        // 获取所有用户
        getAllUsers().then(res => {
            if (res.code === 0) {
                allUser.length = 0
                allUser.push(...res.data)
            }
        })
        // 获取所有项目
        getAllProject().then(res => {
            if (res.code === 0) {
                allProject.length = 0
                allProject.push(...res.data)
                currentName.value = allProject[0].name
                currentCode.value = allProject[0].code
                queryProjectExpense(allProject[0].code).then(res => {
                    if (res.code === 0) {
                        Object.assign(costInfo, res.data)
                    }
                })
            }
        })
    }
    const changeCurrentCode = (code) => {
        currentCode.value = code
        allProject.forEach(item => {
            if (code === item.code) {
               currentName.value = item.name
            }
        })
    }
    // 获取公司费用类型列表
    const getCostTypeList = () => {
       queryExpensesGenre().then(res => {
           if (res.code === 0) {
               // console.log('费用类型', res.data)
               costTypeList.length = 0
               costTypeList.push(...res.data)
           }
       })
    }
    return {
        allProject,
        allUser,
        currentCode,
        currentName,
        getAllInfo,
        changeCurrentCode,
        costInfo,
        costTypeList,
        getCostTypeList
    }
})
